app.factory('documentosFactory', function ($http) {
    var url = '../api/documentos/';
    return {
        getDocumentos: function (item) {
            var d = {};
            if (item.tipodoc=="Aquisicao")
                d = { Parte: 'Aquisicao', Id: item.Aquisicao.Pk_InventarioAquisicao };
            else if (item.tipodoc=="Abate")
                d = { Parte: 'Abate', Id: item.Abate.Pk_InventarioAbate };
            else if (item.tipodoc == "Alteracao")
                d = { Parte: 'Alteracao', Id: item.Pk_InventarioAlteracao };
            
            return $http({

                url: url,
                method: "GET",
                params: d
            })
        },
        getFicheiro: function (id) {

            

            return $http({

                url: "../api/downloaddoc/"+id,
                method: "GET"
                
            })
        },
        
        deleteDocumento: function (documento) {

            return $http.delete(url + documento.Pk_Documento);
        },
       
    };
});